Loading...
Searching...
No Matches
kekulize.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/kekulize.h>`
`#include <cstdlib>`
`#include <cstring>`

## Namespaces

namespace | OpenBabel

## Functions

static unsigned int | GetMaxAtomIdx (OBMol *mol)
static unsigned int | GetMaxBondIdx (OBMol *mol)
static bool | IsSpecialCase (OBAtom *atom)
static bool | NeedsDoubleBond (OBAtom *atom)
bool | OBKekulize (OBMol *mol)

## Detailed Description

Algorithm to kekulize a molecule.